"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classPrivateFieldGet(receiver, privateMap) { var descriptor = _classExtractFieldDescriptor(receiver, privateMap, "get"); return _classApplyDescriptorGet(receiver, descriptor); }

function _classExtractFieldDescriptor(receiver, privateMap, action) { if (!privateMap.has(receiver)) { throw new TypeError("attempted to " + action + " private field on non-instance"); } return privateMap.get(receiver); }

function _classApplyDescriptorGet(receiver, descriptor) { if (descriptor.get) { return descriptor.get.call(receiver); } return descriptor.value; }

function _classPrivateMethodGet(receiver, privateSet, fn) { if (!privateSet.has(receiver)) { throw new TypeError("attempted to get private field on non-instance"); } return fn; }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BootstrapAccordionScrollIntoView = void 0;

var scrollWithMarginTop_1 = require("./scrollWithMarginTop");

var onReady_1 = require("./utils/onReady");
/**
 * Scroll to the opened accordion tab
 */


var _addEventListeners = /*#__PURE__*/new WeakSet();

var _handle = /*#__PURE__*/new WeakMap();

var BootstrapAccordionScrollIntoView = function BootstrapAccordionScrollIntoView() {
  var _this = this;

  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$extraOffset = _ref.extraOffset,
      extraOffset = _ref$extraOffset === void 0 ? 0 : _ref$extraOffset;

  _classCallCheck(this, BootstrapAccordionScrollIntoView);

  _addEventListeners.add(this);

  _defineProperty(this, "extraOffset", void 0);

  _handle.set(this, {
    writable: true,
    value: function value(e) {
      var header = null;
      var target = e.target;
      var tabId = target.id;
      var headerId = target.getAttribute('aria-labelledby');

      if (headerId) {
        header = document.querySelector("#".concat(headerId));
      }

      if (!header && tabId) {
        header = document.querySelector("[data-target=\"#".concat(tabId, "\"]"));
      }

      if (header) {
        scrollWithMarginTop_1.scrollWithMarginTop(header, _this.extraOffset);
      }
    }
  });

  this.extraOffset = extraOffset;
  onReady_1.onComplete(function () {
    return setTimeout(function () {
      return _classPrivateMethodGet(_this, _addEventListeners, _addEventListeners2).call(_this);
    }, 1000);
  });
};

function _addEventListeners2() {
  var _this2 = this;

  if ('$' in window) {
    window.$(document).on('shown.bs.collapse', function (e) {
      _classPrivateFieldGet(_this2, _handle).call(_this2, e);
    });
  } else {
    document.addEventListener('shown.bs.collapse', function (e) {
      _classPrivateFieldGet(_this2, _handle).call(_this2, e);
    });
  }
}

exports.BootstrapAccordionScrollIntoView = BootstrapAccordionScrollIntoView;
exports["default"] = BootstrapAccordionScrollIntoView;